Bug 120647 - Missing method of inserting custom date format field in Impress
Summary: Missing method of inserting custom date format field in Impress
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.1.1.2 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsDevEval
: 148724 (view as bug list)
Depends on:
Blocks: Fields ImpressDraw-Enhancements
  Show dependency treegraph
 
Reported: 2018-10-16 17:19 UTC by Izhar Firdaus
Modified: 2022-09-21 11:52 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Impress Date Field Settings (6.15 KB, image/png)
2018-11-19 12:28 UTC, andreas_k
Details
Format Number (data only) dialog (50.18 KB, image/png)
2018-11-19 16:07 UTC, Heiko Tietze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Izhar Firdaus 2018-10-16 17:19:50 UTC
Description:
In Writer, user can easily add custom date field (eg: showing only current year) through Insert > Fields > More Fields .. however, this option is missing in Impress. 

The available method of Insert > Fields > Date (variable) and then Edit > Field only exposes full date format, and not option such as to only show year, or custom date format. 

Steps to Reproduce:
1. Insert > Fields > Date (variable)
2. Edit > Field 

Actual Results:
only exposes full date format, and not option such as to only show year, or custom date format. 

Expected Results:
ability to use custom format string such as MM/YYYY for date field, or better, a full featured 'more fields' option like in Writer


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Xisco Faulí 2018-11-16 12:05:49 UTC
I guess the root problem is not having the insert field feature consistent across components... Let's hear the UX team's opinion...
Comment 2 Heiko Tietze 2018-11-19 11:58:10 UTC
Sounds reasonable. Andreas, would you like to take a look at the menus please?
Comment 3 andreas_k 2018-11-19 12:18:55 UTC
Hi,

good point but it's not possible now you can change the layout with predefined styles, but you can't edit the styles like in writer. sorry.

In writer it's command InsertFieldCtrl which has all the different formats. In Impress you have different uno commands for the different items.
Comment 4 Heiko Tietze 2018-11-19 12:23:02 UTC
(In reply to andreas_k from comment #3)
> In writer it's command InsertFieldCtrl which has all the different formats.
> In Impress you have different uno commands for the different items.

So your take is WONTFIX?
Comment 5 andreas_k 2018-11-19 12:28:18 UTC
Created attachment 146767 [details]
Impress Date Field Settings

It can be usefull, but it look like you need some code work.

I would suggest to define which settings should be possible and define them in the codebase (so maybe add YYYY and MM.YYYY maybe)
Comment 6 Eike Rathke 2018-11-19 12:43:48 UTC
IIRC the current approach with a fixed limited set of date field formats in Impress was taken because PowerPoint doesn't support anything else, specifically not any number format codes. Don't know if and how that situation changed during the years.
Comment 7 Heiko Tietze 2018-11-19 12:55:07 UTC
Well, in that case I'd prefer to keep it as it is. Insert > Field > Date and right-click the inserted field to get the same options. Izhar, do you agree?
Comment 8 Izhar Firdaus 2018-11-19 13:59:30 UTC
@Heiko

"keep as it is" as in "WONTFIX due to keeping with PowerPoint compatibility"?.
Comment 9 Heiko Tietze 2018-11-19 15:49:00 UTC
(In reply to Izhar Firdaus from comment #8)
> "keep as it is" as in "WONTFIX due to keeping with PowerPoint
> compatibility"?.

1. Are you aware of the post-hoc modification to inserted date/time fields? That's a WORKSFORME (you haven't stated a clear requirement).
2. Consistency is prime for usability, for sure, and maybe I'm too indulgent with development but don't we have more important issues?
3. The Writer dialog offers much more options than just modification to the Date field. Would be somewhat boring to show it alike in Impress, plus the dialog is not the epitome of beauty.

My question to you was if you agree balancing all these facts. Otherwise we clarify the needed changes and keep the ticket open.
Comment 10 Izhar Firdaus 2018-11-19 15:59:42 UTC
(In reply to Heiko Tietze from comment #9)
> (In reply to Izhar Firdaus from comment #8)
> > "keep as it is" as in "WONTFIX due to keeping with PowerPoint
> > compatibility"?.
> 
> 1. Are you aware of the post-hoc modification to inserted date/time fields?
> That's a WORKSFORME (you haven't stated a clear requirement).

yes aware on post-hoc right-click to change the format (however, no YYYY available)

> 2. Consistency is prime for usability, for sure, and maybe I'm too indulgent
> with development but don't we have more important issues?
> 3. The Writer dialog offers much more options than just modification to the
> Date field. Would be somewhat boring to show it alike in Impress, plus the
> dialog is not the epitome of beauty.
> 
> My question to you was if you agree balancing all these facts. Otherwise we
> clarify the needed changes and keep the ticket open.

Yeah agree to balance these facts. 

My initial suggestion on the ticket is to allow additional formats or custom format available the existing menu .. using full writer dialog is just nice-to-have. (ref: my 'expected results' on ticket)

but if adding additional date formats also not possible due to keeping with PowerPoint compatibility (ref: eike's comment), then nothing much I can say there and will just make do with static string and whatever already there.
Comment 11 Heiko Tietze 2018-11-19 16:07:08 UTC
Created attachment 146798 [details]
Format Number (data only) dialog

Okay, let's forward it to the devs. Request is to have the 'format number' dialog accessible per menu entry "User defined..." below the various date (and time) formatting options.
Comment 12 raal 2022-04-23 11:55:16 UTC
*** Bug 148724 has been marked as a duplicate of this bug. ***